Draft Point: Difference between revisions

From FreeCAD Documentation
(Draft AddPoint button)
Line 38: Line 38:


==Scripting== <!--T:11-->
==Scripting== <!--T:11-->
{{emphasis|See also:}} [[FreeCAD Scripting Basics]], [[Draft API]], and the [https://www.freecadweb.org/api autogenerated API documentation].


<!--T:12-->
<!--T:12-->
The Point tool can by used in [[macros]] and from the python console by using the following function:
The Point tool can be used in [[macros]] and from the [[Python]] console by using the following function:
</translate>
</translate>
{{Code|code=
{{Code|code=
Point = makePoint(X=0, Y=0, Z=0, color=None, name="Point", point_size=5)
makePoint([x],[y],[z])
Point = makePoint(point, Y=0, Z=0, color=None, name="Point", point_size=5)
}}
}}
<translate>
<translate>
<!--T:13-->
<!--T:13-->
* makes a point at the given coordinates. If no X, Y and Z coordinates are given, the point is created at (0,0,0). Returns the newly created object.
* Creates a {{incode|Point}} object in the specified {{incode|X}}, {{incode|Y}} and {{incode|Z}} coordinates, with units in millimeters. If no coordinates are given the point is created at the origin (0,0,0).
** If {{incode|X}} is a {{incode|point}} defined by a {{incode|FreeCAD.Vector}}, it is used.
* {{incode|color}} is a tuple {{incode|(R, G, B)}} that indicates the color of the point in the RGB scale; each value of the tuple ranges from {{incode|0}} to {{incode|1}}.
* {{incode|name}} is the name of the object.
* {{incode|point_size}} is the size of the object in pixels, if the graphical user interface is loaded.


<!--T:14-->
<!--T:14-->
Line 53: Line 59:
</translate>
</translate>
{{Code|code=
{{Code|code=
import Draft
import random, FreeCAD, Draft

Draft.makePoint(6,4,2)
Point1 = Draft.makePoint(1600, 1400, 0)

p2 = FreeCAD.Vector(-3200, 1800, 0)
Point2 = Draft.makePoint(p2, color=(0.5, 0.3, 0.6), point_size=10)

centered = FreeCAD.Placement(FreeCAD.Vector(-2000,-2000,0), FreeCAD.Rotation())
rect = Draft.makeRectangle(4000, 4000, placement=centered)

# Create ten points with random coordinates, color, and size, inside an area of 2 m x 2 m
for i in range(10):
x = 4000*random.random() - 2000
y = 4000*random.random() - 2000
z = 0
r = random.random()
g = random.random()
b = random.random()
size = 15*random.random() + 5
Draft.makePoint(x, y, z, color=(r, g, b), point_size=size)
}}
}}


{{clear}}
{{clear}}
[[Category:Draft]]

Revision as of 06:20, 8 November 2018

Draft Point

Menu location
Draft → Point
Workbenches
Draft, Arch
Default shortcut
P T
Introduced in version
-
See also
Draft Line, Draft Wire

Description

The Point tool creates a simple point in the current work plane, handy to serve as reference for placing lines, wires, or other objects later. It uses the Draft Linestyle (only the color) set on the Draft Tray.

How to use

  1. Press the Draft Point button, or press P then T keys.
  2. Click a point on the 3D view, or type a coordinate and press the add point button.

Options

  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component.
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the point tool will restart after you place a point, allowing you to place another one without pressing the tool button again.
  • Press Esc or the Close button to abort the current command.

Properties

  • DataX: The X coordinate of the point
  • DataY: The Y coordinate of the point
  • DataZ: The Z coordinate of the point

Scripting

See also: FreeCAD Scripting Basics, Draft API, and the autogenerated API documentation.

The Point tool can be used in macros and from the Python console by using the following function:

Point = makePoint(X=0, Y=0, Z=0, color=None, name="Point", point_size=5)
Point = makePoint(point, Y=0, Z=0, color=None, name="Point", point_size=5)
  • Creates a Point object in the specified X, Y and Z coordinates, with units in millimeters. If no coordinates are given the point is created at the origin (0,0,0).
    • If X is a point defined by a FreeCAD.Vector, it is used.
  • color is a tuple (R, G, B) that indicates the color of the point in the RGB scale; each value of the tuple ranges from 0 to 1.
  • name is the name of the object.
  • point_size is the size of the object in pixels, if the graphical user interface is loaded.

Example:

import random, FreeCAD, Draft

Point1 = Draft.makePoint(1600, 1400, 0)

p2 = FreeCAD.Vector(-3200, 1800, 0)
Point2 = Draft.makePoint(p2, color=(0.5, 0.3, 0.6), point_size=10)

centered = FreeCAD.Placement(FreeCAD.Vector(-2000,-2000,0), FreeCAD.Rotation())
rect = Draft.makeRectangle(4000, 4000, placement=centered)

# Create ten points with random coordinates, color, and size, inside an area of 2 m x 2 m
for i in range(10):
    x = 4000*random.random() - 2000
    y = 4000*random.random() - 2000
    z = 0
    r = random.random()
    g = random.random()
    b = random.random()
    size = 15*random.random() + 5
    Draft.makePoint(x, y, z, color=(r, g, b), point_size=size)